package sun.net.httpserver;

import com.sun.net.httpserver.HttpContext;
import com.sun.net.httpserver.HttpPrincipal;
import javax.net.ssl.SSLSession;
import java.net.InetSocketAddress;
import java.io.OutputStream;
import java.io.InputStream;
import java.net.URI;
import com.sun.net.httpserver.Headers;
import java.io.IOException;
import com.sun.net.httpserver.HttpsExchange;

class HttpsExchangeImpl extends HttpsExchange
{
    ExchangeImpl impl;
    
    HttpsExchangeImpl(ExchangeImpl impl) throws IOException {
        this.impl = impl;
    }
    
    @Override
    public Headers getRequestHeaders() {
        return this.impl.getRequestHeaders();
    }
    
    @Override
    public Headers getResponseHeaders() {
        return this.impl.getResponseHeaders();
    }
    
    @Override
    public URI getRequestURI() {
        return this.impl.getRequestURI();
    }
    
    @Override
    public String getRequestMethod() {
        return this.impl.getRequestMethod();
    }
    
    @Override
    public HttpContextImpl getHttpContext() {
        return this.impl.getHttpContext();
    }
    
    @Override
    public void close() {
        this.impl.close();
    }
    
    @Override
    public InputStream getRequestBody() {
        return this.impl.getRequestBody();
    }
    
    @Override
    public int getResponseCode() {
        return this.impl.getResponseCode();
    }
    
    @Override
    public OutputStream getResponseBody() {
        return this.impl.getResponseBody();
    }
    
    @Override
    public void sendResponseHeaders(int n, long n2) throws IOException {
        this.impl.sendResponseHeaders(n, n2);
    }
    
    @Override
    public InetSocketAddress getRemoteAddress() {
        return this.impl.getRemoteAddress();
    }
    
    @Override
    public InetSocketAddress getLocalAddress() {
        return this.impl.getLocalAddress();
    }
    
    @Override
    public String getProtocol() {
        return this.impl.getProtocol();
    }
    
    @Override
    public SSLSession getSSLSession() {
        return this.impl.getSSLSession();
    }
    
    @Override
    public Object getAttribute(String s) {
        return this.impl.getAttribute(s);
    }
    
    @Override
    public void setAttribute(String s, Object o) {
        this.impl.setAttribute(s, o);
    }
    
    @Override
    public void setStreams(InputStream inputStream, OutputStream outputStream) {
        this.impl.setStreams(inputStream, outputStream);
    }
    
    @Override
    public HttpPrincipal getPrincipal() {
        return this.impl.getPrincipal();
    }
    
    ExchangeImpl getExchangeImpl() {
        return this.impl;
    }
}
